TRI3(3)

SYNOPSIS
SUBROUTINE TRI3 (M, A, B, C, K, Y1, Y2, Y3, TCOS, D, W1, W2, W3)

NAME
tri3 - Subsidiary to GENBUN

LIBRARY
SLATEC

TYPE
SINGLE PRECISION (TRI3-S, CMPTR3-C)

AUTHOR
(UNKNOWN)

DESCRIPTION
Subroutine to solve three linear systems whose common coefficient matrix is a rational function in the matrix given by TRIDIAGONAL (...,A(I),B(I),C(I),...)

SEE ALSO
GENBUN

ROUTINES CALLED
(NONE)

REVISION HISTORY (YYMMDD)
801001 DATE WRITTEN
890206 REVISION DATE from Version 3.2
891214 Prologue converted to Version 4.0 format. (BAB)
900402 Added TYPE section. (WRB)